%define upstream_name    TAP-Formatter-JUnit
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    TAP formatter, turning TAP into JUnit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(TAP::Harness) >= 3.120.0
BuildRequires: perl(Test::DiagINC) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::XML)
BuildRequires: perl(XML::Generator)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(version)
BuildArch:  noarch

%description
*This code is currently in alpha state and is subject to change.*

'TAP::Formatter::JUnit' provides JUnit output formatting for
'TAP::Harness'.

By default (e.g. when run with _prove_), the _entire_ test suite is
gathered together into a single JUnit XML document, which is then displayed
on 'STDOUT'. You can, however, have individual JUnit XML files dumped for
each individual test, by setting c<PERL_TEST_HARNESS_DUMP_TAP> to a
directory that you would like the JUnit XML dumped to. Note, that this will
*also* cause 'TAP::Harness' to dump the original TAP output into that
directory as well (but IMHO that's ok as you've now got the data in two
parsable formats).

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
rm t/data/tests/bailout
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%license LICENSE
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 0.160.0-2.mga10
+ Revision: 2143927
- rebuild for perl 5.40

* Wed May 18 2022 tv <tv> 0.160.0-1.mga9
+ Revision: 1858653
- update to 0.16

* Thu May 12 2022 tv <tv> 0.150.0-1.mga9
+ Revision: 1857734
- update to 0.15

* Fri May 06 2022 tv <tv> 0.140.0-1.mga9
+ Revision: 1856460
- Patch so that magpie stop removing BR on perl(Tie::IxHash)
- update to 0.14

* Mon Mar 21 2022 umeabot <umeabot> 0.130.0-2.mga9
+ Revision: 1814735
- Mageia 9 Mass Rebuild

* Wed Jul 14 2021 guillomovitch <guillomovitch> 0.130.0-1.mga9
+ Revision: 1735972
- fix build dependencies
+ tv <tv>
- update to 0.13

* Fri Feb 26 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1692156
- update to 0.12

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-5.mga8
+ Revision: 1497253
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-4.mga7
+ Revision: 1271437
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1033655
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966925
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 847083
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-12.mga5
+ Revision: 745777
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-11.mga5
+ Revision: 686303
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.90.0-10.mga5
+ Revision: 633977
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.90.0-9.mga5
+ Revision: 606111
- perl 5.18.2 rebuild

* Tue Jan 21 2014 shlomif <shlomif> 0.90.0-8.mga4
+ Revision: 567347
- Fix the test failures with a patch from (CPAN #81152).
  This fixes the tests on perl-5.18.x. See:
  https://rt.cpan.org/Ticket/Display.html?id=81552 .
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ jquelin <jquelin>
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.90.0-5.mga3
+ Revision: 403837
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-4.mga3
+ Revision: 373009
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.90.0-3.mga3
+ Revision: 315056
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 283584
- perl 5.16.1 rebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 255487
- update to 0.09

* Mon Jun 04 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 254314
- rebuild to fix new shebang with perl 5.16

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.80.0-1.mga2
+ Revision: 189995
- imported package perl-TAP-Formatter-JUnit


* Tue Jan 03 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
